
/* overview.h */

#ifndef OVERVIEW_H
#define OVERVIEW_H

#include <kaction.h>

#include <interfaces/iplugin.h>
#include <interfaces/iuicontroller.h>

/* ----------------------------------------------------------------------- */

namespace OverviewModule {

class NavigatorFactory;
class MemoFactory;
class ReviewFactory;
class TraceFactory;

/* ----------------------------------------------------------------------- */

class OverviewPlugin : public KDevelop::IPlugin
{
   Q_OBJECT

   public:
       OverviewPlugin (QObject *parent, const QVariantList & args = QVariantList ());
       virtual ~ OverviewPlugin ();

       virtual void createActionsForMainWindow (Sublime::MainWindow * window,
                                                QString & xmlFile,
                                                KActionCollection & actions);

       virtual KDevelop::ContextMenuExtension contextMenuExtension (KDevelop::Context * context);

       virtual void unload ();

   private Q_SLOTS:
      void run ();
      void showNavigator ();
      void showMemo ();

   public:
      Sublime::MainWindow * getMainWindow () { return m_mainWindow; }

   private:
      Sublime::MainWindow * m_mainWindow;

   public:
      NavigatorFactory * m_navigatorFactory;
      MemoFactory * m_memoFactory;
      ReviewFactory * m_reviewFactory;
      KDevelop::IToolViewFactory * m_traceFactory;

      KAction * m_showNavigator;
      KAction * m_showMemo;
};

/* ----------------------------------------------------------------------- */

} // end of namespace

#endif // OVERVIEW_H
